Delete translation memories (batch)
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/transMemories/bulk \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"tms": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"purge": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/bulk"
payload = {
"tms": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"purge": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tms: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}], purge: true})
};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Translation Memory
Delete translation memories (batch)
Deletes up to 100 translation memories in a single request. When purge=true on the request body all listed TMs are permanently erased. Each TM UID must be accessible to the caller; a missing or forbidden UID causes the entire request to fail.
DELETE
/
api2
/
v1
/
transMemories
/
bulk
Delete translation memories (batch)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
application/json
Batch delete request with TM UIDs and optional purge flag
Response
No Content
Was this page helpful?
⌘I